<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/icon_bgm"
    android:orientation="vertical"
    android:paddingLeft="15dp"
    android:paddingRight="15dp"
    tools:context=".ui.SettingActivity">

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_marginTop="15dp"
        android:text="设 置"
        android:textColor="@color/white"
        android:textSize="18sp" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="40dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="设备编码"
            android:textColor="@color/black" />

        <TextView
            android:id="@+id/baNo"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:background="@null"
            android:textColor="@color/black"
            android:gravity="center_vertical" />

    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="40dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="环境地址"
            android:textColor="@color/black" />

        <EditText
            android:id="@+id/apiBaseUrl"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:background="@null"
            android:maxLines="1"
            android:text="http://172.16.0.65/api/" />

    </RelativeLayout>


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="40dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="图片地址"
            android:textColor="@color/black" />

        <EditText
            android:id="@+id/apiBaseImgUrl"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:background="@null"
            android:maxLines="1"
            android:text="http://172.16.0.65/api" />

    </RelativeLayout>


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="40dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="二维码规则配置"
            android:textColor="@color/black" />

        <EditText
            android:id="@+id/apiBaseQcUrl"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:background="@null"
            android:maxLines="1"
            android:text="https://lab.zjznai.com/labTest" />

    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="40dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="摄像头前后置"
            android:textColor="@color/black" />

        <EditText
            android:id="@+id/cameraType"
            android:layout_width="100dp"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:background="@null"
            android:gravity="center"
            android:imeOptions="actionDone"
            android:inputType="number"
            android:maxLength="1"
            android:text="0" />
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="40dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="蓝牙称"
            android:textColor="@color/black" />

        <TextView
            android:id="@+id/blu"
            android:layout_width="100dp"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:gravity="center"
            android:text="连接"
            android:textColor="@color/black" />
    </RelativeLayout>


    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="40dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="工程密码"
            android:textColor="@color/black" />

        <TextView
            android:id="@+id/pwd"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:gravity="center"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:text="123"
            android:textColor="@color/black" />
    </RelativeLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:orientation="horizontal">

        <Button
            android:id="@+id/butClos"
            android:layout_width="110dp"
            android:layout_height="32dp"
            android:layout_marginRight="10dp"
            android:background="@drawable/bg_closes"
            android:text="拉取配置" />

        <Button
            android:id="@+id/determine"
            android:layout_width="110dp"
            android:layout_height="32dp"
            android:background="@drawable/bg_quan_xin_twoe"
            android:text="确定"
            android:textColor="@color/white" />
    </LinearLayout>


</LinearLayout>